// Clears the RSH attributes of all the tagged files. If no files are
// tagged operates on all the logged files.
//
// See macro.txt for a language description.
//
// To compile execute: xcc -k "Clear Attributes.m"
//
if not file_view goto error
if not tagged goto no_tags
:main
  key ctrl_a "-R-S-H" enter
  goto end
:no_tags
  // untag all the files once we are done
  key ctrl_a "-R-S-H" enter ctrl_u
  goto end:
:error
    // Display an error message
    key ctrl_8 "eThis function is only implemented in a file view" enter
:end
